it-swarm-ja.com

OS X10.8にGCC4.7.2をインストールするにはどうすればよいですか?

OS X10.8にGCC4.7.2をインストールするにはどうすればよいですか?

Xcodeバージョンの「GCC」を保持する必要はありません。GCC4.7.2が必要です。

6
MarcusJ

MacPorts

最も簡単な方法は MacPorts を使用することです

gcc47 @ 4.7.2(lang)GNUコンパイラコレクション

MacPortsをインストールしてから

Sudo port install gcc47

これにより、-mp-4.7gcc-mp-4.7として)を持ついくつかのバイナリがインストールされます。その後、デフォルトでgcc4.7をアクティブ化できます。

Sudo port select gcc mp-gcc47
hash gcc

Apple LLVMコンパイラに戻るには

Sudo port select gcc none
hash gcc

手動インストール

それ以外の場合は、tarballを gnu.org からダウンロードし、INSTALLファイル(通常は./configure; make; make install)の指示に従いますが、すべての依存関係を自分でインストールする必要があります。

手動インストールでは(configureと異なる方法で指定されていない場合)、バイナリが/usr/local/binにインストールされます。

10
Matteo

署名されたインストーラーパッケージをここからダウンロードします: https://www.litebeam.net/macosx/macosx/gcc.html

2
bbaassssiiee